Package org.bedework.synch.wsmessages

# Class SynchPropertyType

java.lang.Object
org.bedework.synch.wsmessages.SynchPropertyType

public class SynchPropertyType extends Object
Used to transmit a single property consisting of a name and value

Java class for SynchPropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SynchPropertyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="value" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchPropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### value

    protected String value

- ## Constructor Details

  - ### SynchPropertyType

    public SynchPropertyType()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`